package de.intevation.gnv.exports;
/**
 * A simple Key Class for generating an syntetic key using the 
 * values of the given Stringarray and not the Hash of the Stringarray
 * 
 * @author <a href="mailto:tim.englich@intevation.de">Tim Englich</a>
 *
 */
public class StringArrayKey {

    /**
     * The Stringarray which contains the Values.
     */
    private String[] value = null;

    /**
     * The Key which should be used to compare the Stringarrays.
     */
    private String key = null;

    /**
     * Constructor
     * @param value the Value which should be used to generate the key
     */
    public StringArrayKey(String[] value) {
        this.value = value;
        if (value != null){
            key = "";
            for (int i = 0; i < value.length; i++){
                key += value[i];
            }
        }
    }

    /**
     * @see java.lang.Object#equals(java.lang.Object)
     */
    @Override
    public boolean equals(Object obj) {
        if (obj instanceof StringArrayKey){
            return (((StringArrayKey)obj).key).equals(this.key);
        }
        return false;
    }

    /**
     * @see java.lang.Object#hashCode()
     */
    @Override
    public int hashCode() {
        return this.key.hashCode();
    }

    /**
     * Returns the stored origin Values of the Key
     * @return the stored origin Values of the Key
     */
    public String[] getValue() {
        return value;
    }
}
